.page-connection {
    position: relative;
    width: 100vw;
    min-height: 100vh;
    font-size: 14px;
    font-weight: 400;
    color: #0D0D0D;
    overflow: hidden;
    overflow-y: auto;
}
/* a */
.page-connection a {
    color: #0D0D0D;
    text-decoration: underline;
}
/* alert */
.page-connection .alert {
    position: absolute;
    top: 15px;
    left: 100px;
}
.page-connection.signup .alert {
    position: relative;
    top: unset;
    left: unset;
}

/* btn */
.page-connection .btn-positive,
.page-connection .btn-negative {
    font-size: 22px;
    font-weight: 600;
    padding: 13px 35px;
    text-decoration: none;
    border: 1px solid #6E4CF7;
    box-sizing: border-box;
    border-radius: 8px;
}

.page-connection .btn-positive {
    font-size: 22px;
    font-weight: 700;
    color: #F6F7FD;
    width:100%;
    background-color: #6E4CF7;
}
.page-connection .btn-positive:hover,
.page-connection .btn-positive:focus,
.page-connection .btn-positive:active {
}

.page-connection .btn-negative {
    color: #6E4CF7;
}
.page-connection .btn-negative:hover,
.page-connection .btn-negative:focus,
.page-connection .btn-negative:active {
}

.page-connection .btn-positive:disabled,
.page-connection .btn-negative:disabled {
    color: #767676;
    background-color: #d5d5d5;
    border-color: #a9a9a9;
}

/* Decorations */
.page-connection .deco {
    position: absolute;
    max-width: 92%;
}
.page-connection .deco1 {
    top: -8vh;
    left: 0;
    /* max-width: 103%; */
}
.page-connection .deco2 {
    top: -12VH;
    left: 0;
    max-width: 92%;
}
.page-connection .deco3 {
    position: fixed;
    top: -264px;
    right: -5%;
    width: 462px;
}
.page-connection .deco4 {
    left: 0;
    top: 21px;
    max-width: 70%;
}
.page-connection .deco5 {
    position: fixed;
    display: block;
    left: 50%;
    bottom: 0;
    min-width: 120vw;
    height: 61vh;
    -webkit-transform: translate3d(-50%,0,0);
    -o-transform: translate3d(-50%,0,0);
    transform: translate3d(-50%,0,0);
    z-index: -1;
}

/* header */
.page-connection header {
    /* position: relative; */
    padding: 50px;
}
.page-connection header .navbar {}
.page-connection header .navbar .logo {
    width: 150px;
}

/* main */
.page-connection main {
    position: relative;
    padding: 1% 50px 30px;
}
.page-connection main .left {
    width: 49%;
    /* padding-top: 10%; */
    padding-left: 50px;
    padding-right: 65px;
}
.page-connection main .left .title {
    position: relative;
    font-size: 42px;
    line-height: 59px;
    font-weight: 700;
    color: #00005D;
}
.page-connection main .left .form-group {
    margin-bottom: 1.5rem;
}
.page-connection main .left .form-group .col-form-label {
    font-size: 14px;
    font-weight: 600;
    color: var(--backdrop);
}
.page-connection .col-form-label.required {}
.page-connection .col-form-label.required:after {
  content: "*";
  color: red;
}
.page-connection main .left .form-group .col-form-label .form-control {}
.page-connection main .left .form-group .custom-control-input {}
.page-connection main .left .form-group .custom-control-label {}

.page-connection main .right {
    position: relative;
    width: 47%;
}

/* footer */
.page-connection footer {
    position: absolute;
    bottom: 3%;
    left: 90px;
    right: 0;
}

.page-connection footer .title {
}
.page-connection footer .brand {text-decoration: none;padding-right: 14px;}
.page-connection footer .brand img {width: 105px;}

/* page demo */
.page-connection.signup {}
.page-connection.signup main {
    padding-top: 15px;
}
.page-connection.signup main .left .title {
    font-size: 30px;
    /* text-align: center; */
}
.page-connection.signup .left {width: 57%;padding-left: 0;}
.page-connection.signup .right {width: 40%;}
.page-connection.signup .right .caption {
    padding: 0 30px;
}
.page-connection.signup .right .title {
    font-style: italic;
    font-weight: 600;
    font-size: 30px;
    text-align: center;
    line-height: 59px;
    letter-spacing: 0.05em;
    color: #00005D;
    word-break: break-word;
}
.page-connection.signup .right .bloc {
    padding: 11px 20px;
    margin-bottom: 19px;
    background-color: #FFFFFF;
    border-radius: 10px;
}
.page-connection.signup .right .bloc .subtitle {
    color: #241D36;
    font-size: 20px;
    font-weight: 600;
    line-height: 59px;
    letter-spacing: 0.05em;
}
.page-connection.signup .right .bloc .subtitle .ball {
    color: #ffffff;
    padding: 10px;
    margin-right: 20px;
    background-color: #D5DDFD;
}
.page-connection.signup .right .bloc .description {
    color: #747D94;
    font-size: 14px;
    font-weight: 400;
    line-height: 26px;
    margin-bottom: 0;
    letter-spacing: 0.02em;
}

.page-connection.signup .right .brands .title {font-size: 18px;font-style: normal;font-weight: 600;text-align: left;line-height: 85px;letter-spacing: 0.05em;}
.page-connection .brands .brand {text-decoration: none;padding-right: 20px;}
.page-connection .brands .brand img {width: 120px;}

/* Success */
.page-connection .success {
    max-width: 495px;
    padding: 40px;
    background-color: #FFFFFF;
    border-radius: 10px;
}
.page-connection.signup main .left .success .title {
    font-size: 28px;
    font-weight: 600;
    color: #241D36;
    line-height: 34px;
    text-align: center;
}
.page-connection.signup main .left .success .description {
    font-size: 18px;
    font-weight: 400;
    line-height: 40px;
    text-align: center;
}

/* activation */
.page-connection.activation {}
.page-connection.activation main {
    padding-top: 5%;
}
.page-connection.activation .left {
    /* position: relative; */
    width: 100%;
    z-index: 2;
}
.page-connection.activation .right {
    position: absolute;
    width: 42%;
    top: 31%;
    right: 0;
}

/* replace bootstrap */
.row {
    margin-right: -10px;
    margin-left: -10px;
}
[class^='col-sm'] {
    padding-right: 10px;
    padding-left: 10px;
}
.form-control {
    height: calc(1.5em + 1rem + 3px);
    padding: 0.5rem 0.75rem;
}
/* animation */

@-webkit-keyframes slideInDown {
    0% {
        -webkit-transform: translate3d(0,-10%,0);
        transform: translate3d(0,-10%,0)
    }

    to {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@keyframes slideInDown {
    0% {
        -webkit-transform: translate3d(0,-10%,0);
        transform: translate3d(0,-10%,0)
    }

    to {
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@-webkit-keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0,-10%,0);
        transform: translate3d(0,-10%,0)
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0,-10%,0);
        transform: translate3d(0,-10%,0)
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0)
    }
}

.animate {
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
}

.animate__fadeInDown {
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;

}
.animate__slideInDown {
    -webkit-animation-name: slideInDown;
    animation-name: slideInDown;

}
.animate__delay-03s {
    -webkit-animation-delay: .3s;
    animation-delay: .3s;   
}
.animate__delay-04s {
    -webkit-animation-delay: .4s;
    animation-delay: .4s;   
}
.animate__delay-05s {
    -webkit-animation-delay: .5s;
    animation-delay: .5s;   
}
.animate__delay-08s {
    -webkit-animation-delay: .8s;
    animation-delay: .8s;   
}
.animate__delay-1s {
    -webkit-animation-delay: 1s;
    animation-delay: 1s;   
}
.animate__duration-1v5 {
    -webkit-animation-duration: 1.5s;
    animation-duration: 1.5s;
}
.login-container {
    text-align: center;
    max-width: 300px;
    width: 100%;
}

.separator {
    display: flex;
    align-items: center;
    text-align: center;
    margin: 20px 0;
    width:100%;
}

.separator::before,
.separator::after {
    content: '';
    flex: 1;
    border-bottom: 1px solid #000;
}

.separator:not(:empty)::before {
    margin-right: .25em;
}

.separator:not(:empty)::after {
    margin-left: .25em;
}

.login-button {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 10px 15px;
    margin: 10px 0;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #fff;
    text-decoration: none;
    color: #000;
    font-size: 16px;
    transition: background-color 0.3s;
}

.login-button:hover {
    background-color: #f0f0f0;
}

.login-button img {
    width: 20px;
    height: 20px;
    margin-right: 10px;
}
@media screen and (max-height: 900px) {
    .page-connection header {
        padding: 15px 50px;
    }
    .page-connection header .navbar .logo {
        width: 110px;
    }
    .page-connection main {
        padding-top: 0;
        padding-bottom: 15px;
    }
    .page-connection.login h1.text-backdrop {
        margin-bottom: 0.75rem !important;
        font-size: 1.4rem;
    }
    .page-connection.login .divide40 {
        height: 15px !important;
    }
    .page-connection.login .divide15 {
        height: 8px !important;
    }
    .page-connection.login .divide50 {
        height: 20px !important;
    }
    .page-connection.login .form-group {
        margin-bottom: 0.75rem;
    }
    .page-connection .separator {
        margin: 10px 0;
    }
    .page-connection .login-button {
        padding: 7px 15px;
        margin: 6px 0;
        font-size: 14px;
    }
    .page-connection .deco5 {
        height: 45vh;
    }
}

/* responsive */
@media screen and (max-width: 1440px) {
    .page-connection.signup .right {
        /* position: absolute; */
        /* top: -7%; */
        /* right: 50px; */
    }
    .d-no-13p {
        display: none;
    }
    .d-13p {
        display: block;
    }
    .page-connection.signup header {
        padding-bottom: 15px;
    }
    .page-connection.signup .alert {
        /* position: absolute; */
        /* top: 76px; */
        /* left: 50px; */
    }
}